.TH EXTRACTRES 1 "PSUtils Release @RELEASE@ Patchlevel @PATCHLEVEL@"
.SH NAME
extractres \- filter to extract resources from a PostScript document
.SH SYNOPSIS
.B extractres 
[
.B \-m
] < 
.I document.ps
>
.I output.ps
.SH DESCRIPTION
.I Extractres
extracts resources (fonts, procsets, patterns, files, etc) appearing in a
PostScript document, and puts appropriate
.I %%IncludeResource
comments in the document prologue. The extracted resources are written to
files with the same name as the resource, and an appropriate extension. The
pipeline
.sp
.ce
extractres file.ps | includeres >out.ps
.sp
will move all resources appearing in a document to the document prologue,
removing redundant copies. The output file can then be put through page
re-arrangement filters such as
.I psnup
or 
.I pstops
safely.
.PP
The
.B \-m
option combines the resources of the same name into one file; this must be
used for some programs which download fonts a bit at a time.
.SH AUTHOR
Copyright (C) Angus J. C. Duggan 1991-1995
.SH "SEE ALSO"
@MAN@
.SH TRADEMARKS
.B PostScript
is a trademark of Adobe Systems Incorporated.
.SH BUGS
.I extractres
does not alter the
.I %%DocumentSuppliedResources
comments.
